### Method

# Gtk TextIterstarts_line

#### Declaration [src]

    gboolean
    gtk_text_iter_starts_line (
      const GtkTextIter* iter
    )

#### Description [src]

Returns `TRUE` if `iter` begins a paragraph.

This is the case if `gtk_text_iter_get_line_offset()` would return 0. However this function is potentially more efficient than `gtk_text_iter_get_line_offset()`, because it doesn’t have to compute the offset, it just has to see whether it’s 0.

#### Return value

Type: `gboolean`

Whether `iter` begins a line.